> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/api-reference/reference/partners.md).

# Partners

## GET /channelmanager/partners/{UUID}

> Get partner by UUID

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/channelmanager/partners/{UUID}":{"get":{"tags":["Partners"],"summary":"Get partner by UUID","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"application/json","enum":["application/json"]}},{"name":"X-Avangate-Authentication","in":"header","description":"Authentication header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"UUID","in":"path","description":"Unique partner id.","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns partner object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnersGetResponse"}}}},"400":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnersSearchError"}}}}}}}},"components":{"schemas":{"PartnersGetResponse":{"type":"object","properties":{"Items":{"type":"array","items":{"$ref":"#/components/schemas/Partner"}}}},"Partner":{"type":"object","properties":{"UUID":{"type":"string"},"PartnerCode":{"type":"string"},"CompanyCommercialName":{"type":"string"},"Address":{"type":"string"},"City":{"type":"string"},"StateOrProvince":{"type":"string"},"Zip":{"type":"string"},"FirstName":{"type":"string"},"LastName":{"type":"string"},"Position":{"type":"string"},"Email":{"type":"string"},"Website":{"type":"string"},"PhoneNumber":{"type":"string"},"MobilePhone":{"type":"string"},"CommunicationLanguage":{"type":"string"},"Country":{"type":"string"}}},"PartnersSearchError":{"type":"object","properties":{"error_code":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Update partner user by UUID

> Update partner user by UUID

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/channelmanager/partners/{UUID}":{"put":{"tags":["Partners"],"summary":"Update partner user by UUID","description":"Update partner user by UUID","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"application/json","enum":["application/json"]}},{"name":"X-Avangate-Authentication","in":"header","description":"Authentication header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"UUID","in":"path","description":"Unique partner id.","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePartnerRequest"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Partner"}}}},"400":{"description":"Update partner error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"UpdatePartnerRequest":{"type":"object","properties":{"ProductCode":{"description":"Product code","type":"string"},"ProductName":{"description":"Product name","type":"string"},"PricingConfigurations":{"type":"object","properties":{"Code":{"description":"Pricing configuration code","type":"string"},"Name":{"description":"Pricing configuration name","type":"string"},"Default":{"description":"True for the default pricing configuration","type":"boolean"},"PricingSchema":{"description":"DYNAMIC – With a base price / FLAT – Without a base price","type":"string"},"PriceType":{"description":"\"Possible values:","type":"string"},"DefaultCurrency":{"description":"The ISO code of the default currency for the pricing configuration","type":"string"},"Prices":{"type":"object","properties":{"Regular":{"type":"array","items":{"type":"object","properties":{"Amount":{"description":"The price of the product. Use -1 to delete it.","type":"string"},"Currency":{"description":"ISO code of the currency for the product price.","type":"string"},"MinQuantity":{"description":"The minimum quantity of volume discounts. Default is 1.","type":"string"},"MaxQuantity":{"description":"The maximum quantity of volume discounts. Default is 99999.","type":"string"},"OptionCodes":{"description":"System generated pricing options group code (you can also configure it) that the 2Checkout system uses to calculate product prices for pricing configurations without a base price.","type":"array","items":{"type":"string"}}}}},"Renewal":{"type":"array","items":{"type":"object","properties":{"Amount":{"type":"string"},"Currency":{"type":"string"},"MinQuantity":{"type":"string"},"MaxQuantity":{"type":"string"}}}}}}}}}},"Partner":{"type":"object","properties":{"UUID":{"type":"string"},"PartnerCode":{"type":"string"},"CompanyCommercialName":{"type":"string"},"Address":{"type":"string"},"City":{"type":"string"},"StateOrProvince":{"type":"string"},"Zip":{"type":"string"},"FirstName":{"type":"string"},"LastName":{"type":"string"},"Position":{"type":"string"},"Email":{"type":"string"},"Website":{"type":"string"},"PhoneNumber":{"type":"string"},"MobilePhone":{"type":"string"},"CommunicationLanguage":{"type":"string"},"Country":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"error_code":{"type":"string"},"message":{"type":"string"}}}}}}
```

## GET /channelmanager/partners

> Search partners by filter

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/channelmanager/partners":{"get":{"tags":["Partners"],"summary":"Search partners by filter","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"application/json","enum":["application/json"]}},{"name":"X-Avangate-Authentication","in":"header","description":"Authentication header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"partnerCode","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"companyName","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"address","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"city","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"country","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"state","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"zip","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"firstName","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"lastName","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"position","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"communicationLanguage","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"email","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"website","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"phone","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"mobile","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"number"}},{"name":"limit","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"Returns crossSell campaign collection","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnersSearchResponse"}}}},"400":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnersSearchError"}}}}}}}},"components":{"schemas":{"PartnersSearchResponse":{"type":"array","items":{"type":"object","properties":{"UUID":{"type":"string"},"PartnerCode":{"type":"string"},"CompanyCommercialName":{"type":"string"},"Address":{"type":"string"},"City":{"type":"string"},"StateOrProvince":{"type":"string"},"Zip":{"type":"string"},"FirstName":{"type":"string"},"LastName":{"type":"string"},"Position":{"type":"string"},"Email":{"type":"string"},"Website":{"type":"string"},"PhoneNumber":{"type":"string"},"MobilePhone":{"type":"string"},"CommunicationLanguage":{"type":"string"},"Country":{"type":"string"},"Currency":{"type":"string"},"Status":{"type":"string","enum":["PENDING","ACTIVE","INACTIVE","REJECTED"]},"FinancialDetails":{"type":"object","properties":{"CompanyRegistrationName":{"type":"string"},"Address":{"type":"string"},"City":{"type":"string"},"Zip":{"type":"string"},"Country":{"type":"string"},"State":{"type":"string"},"GenerateInvoiceMethod":{"type":"string","enum":["MANUAL","AUTOMATIC_FOREACH_ORDER","AUTOMATIC_ON_SPECIFIC_DAY"]},"CanCreateProformas":{"type":"integer","enum":[0,1]}}}}}},"PartnersSearchError":{"type":"object","properties":{"error_code":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Create partner

> Create partner

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/channelmanager/partners":{"post":{"tags":["Partners"],"summary":"Create partner","description":"Create partner","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"application/json","enum":["application/json"]}},{"name":"X-Avangate-Authentication","in":"header","description":"Authentication header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatePartnerRequest"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Partner"}}}},"400":{"description":"Update partner user error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"CreatePartnerRequest":{"type":"object","properties":{"PartnerCode":{"description":"Unique identifier that you need to specify when creating a partner in the Control Panel. You can find it under the General Information area when editing partner details.","type":"string"},"CompanyCommercialName":{"description":"The commercial name of your partner company.","type":"string"},"Address":{"description":"Reseller address. Can be NULL.","type":"string"},"City":{"description":"Reseller city. Can be NULL.","type":"string"},"StateOrProvince":{"description":"Reseller state. For example, \"Alabama\",\"Alaska\",\"Arizona\". Can be NULL.","type":"string"},"Zip":{"description":"Reseller ZIP code. Can be NULL.","type":"string"},"FirstName":{"description":"Reseller first name.","type":"string"},"LastName":{"description":"Reseller last name.","type":"string"},"Position":{"description":"Position","type":"string"},"Email":{"description":"Reseller email.","type":"string"},"Website":{"description":"Website","type":"string"},"PhoneNumber":{"description":"Phone number","type":"string"},"MobilePhone":{"description":"Mobile phone number","type":"string"},"CommunicationLanguage":{"description":"ISO 639-1 two-letter language code set for the communication language under Contact information.","type":"string"},"Country":{"description":"Reseller country ISO language code (ISO 639-1 two-letter code).","type":"string"},"FinancialDetails":{"type":"object","properties":{"CompanyRegistrationName":{"description":"Company Registration Name","type":"string"},"Address":{"type":"string"},"City":{"type":"string"},"Zip":{"type":"string"},"Country":{"type":"string"},"State":{"description":"State","type":"string"},"GenerateInvoiceMethod":{"description":"Generate invoice method","type":"string","enum":["MANUAL","AUTOMATIC_FOREACH_ORDER","AUTOMATIC_ON_SPECIFIC_DAY"]},"CanCreateProformas":{"description":"0 if no / 1 if yes","type":"integer","enum":[0,1]}}}}},"Partner":{"type":"object","properties":{"UUID":{"type":"string"},"PartnerCode":{"type":"string"},"CompanyCommercialName":{"type":"string"},"Address":{"type":"string"},"City":{"type":"string"},"StateOrProvince":{"type":"string"},"Zip":{"type":"string"},"FirstName":{"type":"string"},"LastName":{"type":"string"},"Position":{"type":"string"},"Email":{"type":"string"},"Website":{"type":"string"},"PhoneNumber":{"type":"string"},"MobilePhone":{"type":"string"},"CommunicationLanguage":{"type":"string"},"Country":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"error_code":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Create partner user

> Create partner user

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/channelmanager/partners/{UUID}/users":{"post":{"tags":["Partners"],"summary":"Create partner user","description":"Create partner user","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"application/json","enum":["application/json"]}},{"name":"X-Avangate-Authentication","in":"header","description":"Authentication header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"UUID","in":"path","description":"Unique partner id.","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatePartnerUserRequest"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerUser"}}}},"400":{"description":"Create partner user error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"CreatePartnerUserRequest":{"$ref":"#/components/schemas/PartnerUserRequest"},"PartnerUserRequest":{"required":["Email","FirstName","LastName","PhoneNumber","Status"],"type":"object","properties":{"Email":{"description":"Partner user's email address","type":"string"},"FirstName":{"description":"Partner user's fisrt name","type":"string"},"LastName":{"description":"Partner user's last name","type":"string"},"Position":{"description":"Partner user's position","type":"string"},"PhoneNumber":{"description":"Partner user's phone number","type":"string"},"MobilePhone":{"description":"Partner user's mobil phone number","type":"string"},"Status":{"description":"Partner user's status","type":"string","enum":["ACTIVE","INACTIVE"]}}},"PartnerUser":{"type":"object","properties":{"UUID":{"type":"string"},"Email":{"type":"string"},"FirstName":{"type":"string"},"LastName":{"type":"string"},"Position":{"type":"string"},"PhoneNumber":{"type":"string"},"MobilePhone":{"type":"string"},"Status":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"error_code":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Update partner user by UUID

> Update partner user by UUID

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/channelmanager/partners/{UUID}/users/{partnerUserUUID}":{"put":{"tags":["Partners"],"summary":"Update partner user by UUID","description":"Update partner user by UUID","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"application/json","enum":["application/json"]}},{"name":"X-Avangate-Authentication","in":"header","description":"Authentication header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"UUID","in":"path","description":"Unique partner id.","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"partnerUserUUID","in":"path","description":"Unique partner user id.","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePartnerUserRequest"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerUser"}}}},"400":{"description":"Update partner user error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"UpdatePartnerUserRequest":{"$ref":"#/components/schemas/PartnerUserRequest"},"PartnerUserRequest":{"required":["Email","FirstName","LastName","PhoneNumber","Status"],"type":"object","properties":{"Email":{"description":"Partner user's email address","type":"string"},"FirstName":{"description":"Partner user's fisrt name","type":"string"},"LastName":{"description":"Partner user's last name","type":"string"},"Position":{"description":"Partner user's position","type":"string"},"PhoneNumber":{"description":"Partner user's phone number","type":"string"},"MobilePhone":{"description":"Partner user's mobil phone number","type":"string"},"Status":{"description":"Partner user's status","type":"string","enum":["ACTIVE","INACTIVE"]}}},"PartnerUser":{"type":"object","properties":{"UUID":{"type":"string"},"Email":{"type":"string"},"FirstName":{"type":"string"},"LastName":{"type":"string"},"Position":{"type":"string"},"PhoneNumber":{"type":"string"},"MobilePhone":{"type":"string"},"Status":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"error_code":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Delete partner user

> Delete partner user

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/channelmanager/partners/{UUID}/users/{partnerUserUUID}":{"delete":{"tags":["Partners"],"summary":"Delete partner user","description":"Delete partner user","parameters":[{"name":"X-Avangate-Authentication","in":"header","description":"Authentication header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"UUID","in":"path","description":"Unique partner id.","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"partnerUserUUID","in":"path","description":"Unique partner user id.","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Response of the partner delete","content":{"application/json":{"schema":{"type":"boolean"}}}},"400":{"description":"Not deleted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"ErrorResponse":{"type":"object","properties":{"error_code":{"type":"string"},"message":{"type":"string"}}}}}}
```

## GET /channelmanager/partners/{UUID}/users/{email}

> Get User for a Partner by email

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/channelmanager/partners/{UUID}/users/{email}":{"get":{"tags":["Partners"],"summary":"Get User for a Partner by email","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"application/json","enum":["application/json"]}},{"name":"X-Avangate-Authentication","in":"header","description":"Authentication header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"UUID","in":"path","description":"Unique partner user id.","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"email","in":"path","required":true,"style":"simple","explode":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns the user of partners","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerUser"}}}},"400":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"PartnerUser":{"type":"object","properties":{"UUID":{"type":"string"},"Email":{"type":"string"},"FirstName":{"type":"string"},"LastName":{"type":"string"},"Position":{"type":"string"},"PhoneNumber":{"type":"string"},"MobilePhone":{"type":"string"},"Status":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"error_code":{"type":"string"},"message":{"type":"string"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.2checkout.com/api-reference/reference/partners.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
